wiki:FAQ

Version 13 (modified by desai, 16 years ago) (diff)

--

Frequently Asked Questions

TracNav

  • What does Bcfg2 stand for?
    Initially, Bcfg stood for the bundle configuration system. Bcfg2 is the second major revision. At this point, the acronym is meaningless, but the name has stuck. Luckily, Bcfg2 googles better than Bcfg does. No, seriously. Try it. All I know is that I have no interest in a billion cubic feet of gas.
  • bcfg2-repo-validate is unable to process bundle.xsd
    You will need to upgrade your libxml2 to version 2.6.23 or higher. The version shipped with most distributions is too old.
    bcfg2-0.8.1/schemas/bundle.xsd:27: element complexType: 
    Schemas parser error : CT local: The content model is not determinist.
    WXS schema bcfg2-0.8.1/schemas/bundle.xsd failed to compile
    

Centos 4.3, Debian Sarge, SLES8-9, and RHEL4 all ship with a version that is too old.

  • what pre-requisites are needed to run Bcfg2?
    • libxml2 >= 2.6.23
    • lxml 0.8
    • pyopenssl ( server only )
  • what architectures does Bcfg2 support?
    • Linux rpm based distros
    • Linux deb based distros
    • Solaris pkg based